From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: xfce-base/exo/
Date: Sat, 11 Jun 2022 11:13:27 +0000 (UTC) [thread overview]
Message-ID: <1654945891.d7072e37b8cb6b20a517b355e00e9675881afaac.mgorny@gentoo> (raw)
commit: d7072e37b8cb6b20a517b355e00e9675881afaac
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 11 11:11:31 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jun 11 11:11:31 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d7072e37
xfce-base/exo: Bump to 4.16.4
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
xfce-base/exo/Manifest | 1 +
xfce-base/exo/exo-4.16.4.ebuild | 55 +++++++++++++++++++++++++++++++++++++++++
2 files changed, 56 insertions(+)
diff --git a/xfce-base/exo/Manifest b/xfce-base/exo/Manifest
index 975cf4df43fc..b2b06266e21d 100644
--- a/xfce-base/exo/Manifest
+++ b/xfce-base/exo/Manifest
@@ -1,3 +1,4 @@
DIST exo-4.16.2.tar.bz2 881098 BLAKE2B df1ad499becd22087724abb716d07a50e432ec555d03a3892d0b81745045c334cb3705419e901697e4c3bc10328837b4f5c4055800d1b6c79c9cfc503427643b SHA512 9c1252d78f5bb900254841a79f1c1b952cb60d9d0197e184266c35a86c340140cdff2460fa83f6fabb66380e2b3d7ab8a08719b4f4784d2215dde51410ce33e8
DIST exo-4.16.3.tar.bz2 885516 BLAKE2B 1689821fc8cc72fc848d627d2cccd886223740c2910ed2f42fa70545dfb604eb184d3cfbf6aa93e7723fcc59291e0c33f77e478429e1e4296b2243155e277604 SHA512 0dc4d2da6dd80a4c1b05a5316bb6e7ad02858d3fb49b666d6065bd7b11d7b8aed2732135eee8393185a0c321a242807d97b51f794186ce7a769ec2c9106ba8fd
+DIST exo-4.16.4.tar.bz2 876080 BLAKE2B a29511c0d2e1bbbd861cfd8946d2f2917eb1004bb85621d0bb8bb9b1339f213a14da651e16a6492138cceff8e3e0ec1d1132226ac60a9846426bf6dc2a621ded SHA512 2cf2267a0bd8526dc870cbe48a0d95573c153a990caffabb13365c6e90c155b6d3383ad1282715cb22ce413e704d170bf7fec1af09ad1b0609507a46c4d1233d
DIST exo-4.17.1.tar.bz2 877757 BLAKE2B 152e168568f4ad12e1eb03f7b1971b3369647da0adac57f55d36fc176c36f7c2ccf9125f6bad386843753855b4bbb679a7a6abd80a9375d2212550e0987d4fa4 SHA512 597fee2cc0188159d5278bb5d547f1a4619645684ba3da4046946c5eb38b2a4913731e589caeeb2f8505516bdcbba64bee03291857215e2b4208aa3d2c563988
diff --git a/xfce-base/exo/exo-4.16.4.ebuild b/xfce-base/exo/exo-4.16.4.ebuild
new file mode 100644
index 000000000000..e01d5f2311eb
--- /dev/null
+++ b/xfce-base/exo/exo-4.16.4.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools xdg-utils
+
+DESCRIPTION="Extensions, widgets and framework library with session support for Xfce"
+HOMEPAGE="https://www.xfce.org/projects/"
+SRC_URI="https://archive.xfce.org/src/xfce/${PN}/${PV%.*}/${P}.tar.bz2"
+
+LICENSE="GPL-2+ LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-solaris ~x86-solaris"
+
+RDEPEND="
+ >=dev-libs/glib-2.50
+ >=x11-libs/gtk+-3.22:3
+ >=xfce-base/libxfce4ui-4.15.1:=[gtk3(+)]
+ >=xfce-base/libxfce4util-4.12:=
+"
+DEPEND="
+ ${RDEPEND}
+"
+BDEPEND="
+ dev-util/gtk-doc-am
+ dev-util/intltool
+ >=dev-util/xfce4-dev-tools-4.16.0
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-4.16.0-allow-cross.patch"
+)
+
+src_prepare() {
+ default
+ eautoreconf
+ # needs to be executed after glib-gettextize, bug 829859
+ intltoolize --automake --copy --force || die "intltoolize failed"
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+}
next reply other threads:[~2022-06-11 11:13 UTC|newest]
Thread overview: 128+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-06-11 11:13 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-25 12:25 [gentoo-commits] repo/gentoo:master commit in: xfce-base/exo/ Arthur Zamarin
2025-01-25 11:00 Sam James
2025-01-25 9:20 Arthur Zamarin
2024-12-21 10:34 Michał Górny
2024-12-15 18:38 Michał Górny
2024-12-01 14:49 Michał Górny
2024-12-01 14:49 Michał Górny
2024-11-01 7:54 Michał Górny
2024-02-19 11:02 Michał Górny
2024-01-15 16:31 Michał Górny
2023-10-15 15:27 Michał Górny
2023-03-17 8:56 Arthur Zamarin
2023-03-15 6:55 Michał Górny
2023-02-03 16:53 Sam James
2023-02-03 14:21 Arthur Zamarin
2023-02-03 14:21 Arthur Zamarin
2023-02-03 13:32 Arthur Zamarin
2022-12-15 15:04 Michał Górny
2022-12-01 13:55 Michał Górny
2022-11-01 12:35 Michał Górny
2022-08-28 6:49 WANG Xuerui
2022-07-05 18:52 Michał Górny
2022-07-05 17:54 Sam James
2022-07-05 2:05 Sam James
2022-06-22 16:02 Arthur Zamarin
2022-06-14 21:16 Jakov Smolić
2022-06-14 7:10 Agostino Sarubbo
2022-06-12 8:32 Agostino Sarubbo
2022-06-11 11:13 Michał Górny
2022-03-27 2:33 Sam James
2022-02-19 13:26 Jakov Smolić
2022-02-19 13:26 Jakov Smolić
2022-02-17 18:14 Sam James
2022-02-15 22:21 Jakov Smolić
2022-02-11 11:08 Jakov Smolić
2021-12-07 22:23 Michał Górny
2021-10-09 7:52 Michał Górny
2021-09-29 21:59 Michał Górny
2021-06-27 6:09 Michał Górny
2021-05-25 14:21 Yixun Lan
2021-04-16 8:30 Michał Górny
2021-04-16 0:40 Sam James
2021-04-14 16:26 Sam James
2021-04-13 16:05 Sam James
2021-04-13 16:05 Sam James
2021-04-12 15:52 Sam James
2021-04-12 15:50 Sam James
2021-04-12 12:46 Michał Górny
2021-03-12 11:07 Michał Górny
2021-02-18 22:08 Sam James
2021-02-15 8:38 Sam James
2021-01-18 20:29 Michał Górny
2021-01-13 18:06 Michał Górny
2020-12-22 23:35 Michał Górny
2020-12-16 13:29 Michał Górny
2020-11-01 21:13 Michał Górny
2020-08-25 17:17 Michał Górny
2020-08-21 2:23 Michał Górny
2020-05-27 7:03 Michał Górny
2020-03-19 11:40 Mart Raudsepp
2020-03-17 10:17 Mart Raudsepp
2020-03-15 18:41 Agostino Sarubbo
2020-03-15 18:34 Agostino Sarubbo
2020-03-15 18:31 Agostino Sarubbo
2020-03-14 18:05 Mikle Kolyada
2020-03-13 18:54 Agostino Sarubbo
2020-01-01 19:43 Agostino Sarubbo
2019-12-31 14:02 Agostino Sarubbo
2019-12-31 8:18 Agostino Sarubbo
2019-12-31 8:15 Agostino Sarubbo
2019-12-31 7:43 Agostino Sarubbo
2019-12-19 19:27 Michał Górny
2019-12-06 14:20 Michał Górny
2019-12-01 20:20 Michał Górny
2019-11-16 0:19 Michał Górny
2019-11-07 23:44 Aaron Bauman
2019-10-13 11:24 Mikle Kolyada
2019-10-12 21:23 Sergei Trofimovich
2019-10-12 21:16 Sergei Trofimovich
2019-08-11 20:33 Michał Górny
2019-07-27 11:26 Michał Górny
2019-07-27 11:26 Michał Górny
2019-06-14 3:40 Michał Górny
2019-05-29 0:32 Aaron Bauman
2019-05-18 11:11 Michał Górny
2019-05-02 17:07 Michał Górny
2019-05-02 17:07 Michał Górny
2019-04-20 17:57 Mikle Kolyada
2019-04-07 21:36 Mikle Kolyada
2019-04-07 14:43 Mikle Kolyada
2019-04-07 14:41 Mikle Kolyada
2019-01-20 10:42 Michał Górny
2019-01-20 10:42 Michał Górny
2018-12-02 11:12 Mikle Kolyada
2018-11-27 16:01 Tobias Klausmann
2018-11-24 13:40 Sergei Trofimovich
2018-11-12 13:45 Mikle Kolyada
2018-11-11 19:07 Michał Górny
2018-10-16 17:21 Michał Górny
2018-06-21 7:24 Michał Górny
2018-06-21 7:24 Michał Górny
2018-06-17 12:11 Michał Górny
2018-05-27 20:56 Mikle Kolyada
2018-04-19 21:08 Mikle Kolyada
2018-04-18 21:04 Sergei Trofimovich
2018-04-10 11:32 Tobias Klausmann
2018-04-08 17:28 Aaron Bauman
2018-04-08 15:48 Sergei Trofimovich
2018-04-08 9:04 Michał Górny
2018-02-14 13:35 Michał Górny
2017-07-30 14:59 David Seifert
2017-07-25 7:58 Michał Górny
2017-07-25 7:58 Michał Górny
2017-07-16 19:17 Michał Górny
2017-07-11 11:22 Michał Górny
2017-06-18 14:04 Michał Górny
2017-01-26 10:22 Agostino Sarubbo
2017-01-13 15:41 Agostino Sarubbo
2016-12-20 12:31 Tobias Klausmann
2016-11-01 9:07 Michał Górny
2016-09-29 4:37 Jeroen Roovers
2016-08-15 16:30 Jason Zaman
2016-08-07 5:58 Michał Górny
2016-06-30 16:58 Tobias Klausmann
2016-06-26 18:34 Markus Meier
2015-10-17 18:32 Mikle Kolyada
2015-09-20 11:10 Christoph Mende
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1654945891.d7072e37b8cb6b20a517b355e00e9675881afaac.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox